Show / Hide Table of Contents

# Delegate SDL.SDL_WindowsMessageHook

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public delegate IntPtr SDL_WindowsMessageHook(IntPtr userdata, IntPtr hWnd, uint message, ulong wParam, long lParam);

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | userdata |
System.IntPtr | hWnd |
System.UInt32 | message |
System.UInt64 | wParam |
System.Int64 | lParam |

##### Returns

Type | Description
--- | ---
System.IntPtr |